C API Functions

## udbEntityKind

### Description

Returns the kind of the specified entity.

There are numerous different defined kinds of entities for each language. Refer to the language-specific listings of entity kinds in the Appendix Entity and Reference Kinds.Syntax

     #include "udb/udb.h"
     UdbKind   udbEntityKind(UdbEntity entity)

### Arguments

Argument | description
UdbEntity entity | Specify the entity

### Return Values

Return Values | description
UdbKind | Refer to the language-specific listings of entity kinds for each language in the Appendix Entity and Reference Kinds

### Example Usage

     printf ("entity %s is of kind %s\n",
                udbEntityNameShort(entity),
                udbKindShortname(udbEntityKind(entity)) );

### See Also

udbIsKind to check if the specified kind is of a specified kind name

udbIsKindFile to check if the kind is a file kind.

udbKindInverse to get the inverse of the kind.

udbKindShortname to get the kind name of the kind type.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com